Snoze Developers
API referenceAgent

Start Edit Message

POST
/v1/workspaces/{workspaceId}/agent/chats/{chatId}/messages/{messageId}/edit/start
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

workspaceId*string
chatId*string
messageId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/workspaces/string/agent/chats/string/messages/string/edit/start" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
{  "data": {    "type": "started",    "chatId": "string",    "userMessageId": "string",    "assistantMessageId": "string"  }}